petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutGetRanges

gets the range of values owned by all processes

### Synopsis

    #include "petscis.h"
    #undef __FUNCT__
    #define __FUNCT__ "PetscLayoutGetRanges"
    PetscErrorCode  PetscLayoutGetRanges(PetscLayout map,const PetscInt *range[])

Not Collective Many br

### Input Parameters

map -pointer to the map Many br

### Output Parameters

range -start of each processors range of indices (the final entry is one more then the Many brlast index on the last process) Many br

Many br

### Notes

Call this after the call to PetscLayoutSetUp() Many br

### Fortran Notes

Not available from Fortran Many br

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(),
PetscLayoutGetSize(), PetscLayoutGetRange(), PetscLayoutSetBlockSize(), PetscLayoutGetSize(), PetscLayoutSetUp() Many br

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages